Skip to main content
REST API reference
A newer release of this product is available.

Actions that can be performed during an svm migration

  • vserver migrate resume

  • vserver migrate cutover

  • vserver migrate source-cleanup

PATCH /svm/migrations/{uuid}

Introduced In: 9.10

Actions that can be performed during an SVM migration.

  • vserver migrate pause

  • vserver migrate resume

  • vserver migrate cutover

  • vserver migrate source-cleanup

Parameters

Name Type In Required Description

uuid

string

path

True

SVM migration UUID

action

string

query

False

The pause action pauses the SVM migration. This action stops data transfer and configuration replication. This operation must be performed on the destination cluster. The resume action resumes an SVM migration from a paused or failed state. This operation must be performed on the destination cluster. The cutover action triggers the cutover of an SVM from the source cluster to the destination cluster. The source_clean up action performs a clean up of the SVM on the source cluster.

  • enum: ["pause", "resume", "cutover", "source_cleanup"]

auto_cutover

boolean

query

False

Optional property that when set to true automatically performs cutover when the migration state reaches "ready for cutover".

  • Default value: 1

auto_source_cleanup

boolean

query

False

Optional property that when set to true automatically cleans up the SVM on the source cluster after the migration cutover.

  • Default value: 1

return_timeout

integer

query

False

The number of seconds to allow the call to execute before returning. When doing a POST, PATCH, or DELETE operation on a single record, the default is 0 seconds. This means that if an asynchronous operation is started, the server immediately returns HTTP code 202 (Accepted) along with a link to the job. If a non-zero value is specified for POST, PATCH, or DELETE operations, ONTAP waits that length of time to see if the job completes so it can return something other than 202.

  • Default value: 0

  • Max value: 120

  • Min value: 0

Request Body

Name Type Description

current_operation

string

destination

destination

Destination cluster details for the SVM migration.

last_failed_state

string

Indicates the state of the migration.

last_operation

string

messages

array[messages]

Errors and warnings returned/displayed during migration.

point_of_no_return

boolean

Indicates if the migration has progressed beyond the point of no return. When true, the migration cannot be aborted or paused. When false, the migration can be paused or aborted.

restart_count

integer

Number of times SVM migration was restarted since initially started.

source

source

Source cluster details for the SVM migration.

state

string

Indicates the state of the migration.

time_metrics

time_metrics

Various time metrics details

uuid

string

SVM migration UUID

Example request
{
  "auto_cutover": null,
  "auto_source_cleanup": null,
  "check_only": null,
  "current_operation": "string",
  "last_failed_state": "string",
  "last_operation": "string",
  "messages": [
    {
      "message": "string"
    }
  ],
  "restart_count": 0,
  "state": "string",
  "time_metrics": {
    "cutover_complete_time": "2020-12-02T19:30:19-08:00",
    "cutover_start_time": "2020-12-02T18:20:19-08:00",
    "cutover_trigger_time": "2020-12-02T19:15:19-08:00",
    "end_time": "2020-12-02T19:36:19-08:00",
    "last_pause_time": "2020-12-02T18:50:19-08:00",
    "last_resume_time": "2020-12-02T18:54:19-08:00",
    "start_time": "2020-12-02T18:36:19-08:00"
  },
  "uuid": "4ea7a442-86d1-11e0-ae1c-123478563412"
}

Response

Status: 202, Accepted
Name Type Description

job

job_link

Example response
{
  "job": {
    "uuid": "string"
  }
}

Error

Status: Default

ONTAP Error Response Codes

Error Code Description

13172783

Migrate RDB lookup failed

Definitions

See Definitions

href

Name Type Description

href

string

ipspace

Optional property used to specify which IPspace to use for the SVM. By default, the "default" ipspace is used.

Name Type Description

name

string

IPspace name

uuid

string

IPspace UUID

aggregates

Name Type Description

_links

_links

name

string

uuid

string

volume_placement

Optional property to specify the source volume placement in the destination. It is input only and won't be returned by a subsequent GET.

destination

Destination cluster details for the SVM migration.

Name Type Description

volume_placement

volume_placement

Optional property to specify the source volume placement in the destination. It is input only and won't be returned by a subsequent GET.

messages

Specifies failure codes and messages.

Name Type Description

code

integer

Message code

message

string

Detailed message of warning or error.

cluster

Source cluster for the SVM migration.

Name Type Description

name

string

uuid

string

svm

Source SVM

Name Type Description

name

string

The name of the SVM.

uuid

string

The unique identifier of the SVM.

source

Source cluster details for the SVM migration.

time_metrics

Various time metrics details

Name Type Description

cutover_complete_time

string

Cutover end time

cutover_start_time

string

Cutover start time

cutover_trigger_time

string

Cutover trigger time

end_time

string

Migration end time

last_pause_time

string

Last migration pause time

last_resume_time

string

Last migration resume time

start_time

string

Migration start time

svm_migration

Provides information on SVM migration, default and user specified configurations, the state of the migration, and volume transfer metrics.

Name Type Description

current_operation

string

destination

destination

Destination cluster details for the SVM migration.

last_failed_state

string

Indicates the state of the migration.

last_operation

string

messages

array[messages]

Errors and warnings returned/displayed during migration.

point_of_no_return

boolean

Indicates if the migration has progressed beyond the point of no return. When true, the migration cannot be aborted or paused. When false, the migration can be paused or aborted.

restart_count

integer

Number of times SVM migration was restarted since initially started.

source

source

Source cluster details for the SVM migration.

state

string

Indicates the state of the migration.

time_metrics

time_metrics

Various time metrics details

uuid

string

SVM migration UUID

Name Type Description

uuid

string

The UUID of the asynchronous job that is triggered by a POST, PATCH, or DELETE operation.

error_arguments

Name Type Description

code

string

Argument code

message

string

Message argument

error

Name Type Description

arguments

array[error_arguments]

Message arguments

code

string

Error code

message

string

Error message

target

string

The target parameter that caused the error.

Close
Try it out

Sign in with your NetApp Cloud Central credentials.

Try this API

Parameters

Headers

Body

Code

Response